package com.zcloud.fire.check.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.fire.check.dto.*;
import com.zcloud.fire.check.dto.clientobject.CorpStatisticsCO;
import com.zcloud.fire.check.dto.clientobject.FireDeviceCO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.Collection;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-11-26 10:12:34
 */
public interface FireDeviceServiceI {
    PageResponse<FireDeviceCO> listPage(FireDevicePageQry qry);

    SingleResponse<FireDeviceCO> add(FireDeviceAddCmd cmd);

    void edit(FireDeviceUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    FireDeviceCO getInfoById(Long id);

    void exportFireDevicePage(Long[] ids, HttpServletResponse httpServletResponse);

    void importFireDevicePage(MultipartFile file);

    Collection<FireDeviceCO> getAllList(FireDeviceListQry qry);

    PageResponse<CorpStatisticsCO> corpStatisticslist(CorpStatisticsPageQry qry);

    PageResponse<FireDeviceCO> pageByPointId(FireDevicePageQry qry);

    void deviceOverTimeMessage();
}

